CVE-2019-9192

Priority
Description
** DISPUTED ** In the GNU C Library (aka glibc or libc6) through 2.29,
check_dst_limits_calc_pos_1 in posix/regexec.c has Uncontrolled Recursion,
as demonstrated by '(|)(\\1\\1)*' in grep, a different issue than
CVE-2018-20796. NOTE: the software maintainer disputes that this is a
vulnerability because the behavior occurs only with a crafted pattern.
Notes
mdeslaurupstream does not consider this to be a security issue, per
https://sourceware.org/glibc/wiki/Security%20Exceptions

as of 2019-07-29, no fix available
Package
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):deferred (2019-07-29)
Ubuntu 14.04 ESM (Trusty Tahr):deferred (2019-07-29)
Ubuntu 16.04 LTS (Xenial Xerus):DNE
Ubuntu 18.04 LTS (Bionic Beaver):DNE
Ubuntu 19.10 (Eoan Ermine):DNE
Ubuntu 20.04 (Focal Fossa):DNE
Package
Source: glibc (LP Ubuntu Debian)
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):DNE
Ubuntu 16.04 LTS (Xenial Xerus):deferred (2019-07-29)
Ubuntu 18.04 LTS (Bionic Beaver):deferred (2019-07-29)
Ubuntu 19.10 (Eoan Ermine):deferred (2019-07-29)
Ubuntu 20.04 (Focal Fossa):deferred (2019-07-29)
More Information

Updated: 2020-01-29 19:04:52 UTC (commit 40f18bf14da5fb50662e1f861ea594a462b207fe)